Bug 1287199 - fleet is FTBFS
fleet is FTBFS
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: fleet (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-01 13:14 EST by Jakub Čajka
Modified: 2016-03-03 10:06 EST (History)
4 users (show)

See Also:
Fixed In Version: fleet-0.9.0-9.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-03 10:06:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakub Čajka 2015-12-01 13:14:41 EST
Package fails to build with:

.
.
.
cd /builddir/build/BUILD/fleet-0.9.0/src/github.com/coreos/fleet/job
/usr/lib/golang/pkg/tool/linux_amd64/compile -o $WORK/github.com/coreos/fleet/job.a -trimpath $WORK -p github.com/coreos/fleet/job -complete -buildid 21eec0f456fc92de7331260abdc17e86fcc831b8 -D _/builddir/build/BUILD/fleet-0.9.0/src/github.com/coreos/fleet/job -I $WORK -I /builddir/build/BUILD/fleet-0.9.0/pkg/linux_amd64 -pack ./job.go
# github.com/coreos/fleet/systemd
src/github.com/coreos/fleet/systemd/manager.go:132: not enough arguments in call to m.systemd.StartUnit
src/github.com/coreos/fleet/systemd/manager.go:143: not enough arguments in call to m.systemd.StopUnit
github.com/coreos/fleet/registry
mkdir -p $WORK/github.com/coreos/fleet/registry/_obj/
cd /builddir/build/BUILD/fleet-0.9.0/src/github.com/coreos/fleet/registry
/usr/lib/golang/pkg/tool/linux_amd64/compile -o $WORK/github.com/coreos/fleet/registry.a -trimpath $WORK -p github.com/coreos/fleet/registry -complete -buildid 5420faf58d703767347ea02efc76163299afdbad -D _/builddir/build/BUILD/fleet-0.9.0/src/github.com/coreos/fleet/registry -I $WORK -I /builddir/build/BUILD/fleet-0.9.0/pkg/linux_amd64 -I /usr/share/gocode/pkg/linux_amd64 -pack ./event.go ./fake.go ./interface.go ./job.go ./job_state.go ./lease.go ./machine.go ./registry.go ./unit.go ./unit_state.go ./version.go
github.com/coreos/fleet/schema
mkdir -p $WORK/github.com/coreos/fleet/schema/_obj/
cd /builddir/build/BUILD/fleet-0.9.0/src/github.com/coreos/fleet/schema
/usr/lib/golang/pkg/tool/linux_amd64/compile -o $WORK/github.com/coreos/fleet/schema.a -trimpath $WORK -p github.com/coreos/fleet/schema -complete -buildid 43a0e153266887d8c1c0edb6399de40ff3f46433 -D _/builddir/build/BUILD/fleet-0.9.0/src/github.com/coreos/fleet/schema -I $WORK -I /builddir/build/BUILD/fleet-0.9.0/pkg/linux_amd64 -I /usr/share/gocode/pkg/linux_amd64 -pack ./mapper.go ./v1-gen.go ./v1-json.go
github.com/coreos/fleet/agent
mkdir -p $WORK/github.com/coreos/fleet/agent/_obj/
cd /builddir/build/BUILD/fleet-0.9.0/src/github.com/coreos/fleet/agent
/usr/lib/golang/pkg/tool/linux_amd64/compile -o $WORK/github.com/coreos/fleet/agent.a -trimpath $WORK -p github.com/coreos/fleet/agent -complete -buildid 507c652329d7f97428e836ed6a35d6f9ddc21087 -D _/builddir/build/BUILD/fleet-0.9.0/src/github.com/coreos/fleet/agent -I $WORK -I /builddir/build/BUILD/fleet-0.9.0/pkg/linux_amd64 -I /usr/share/gocode/pkg/linux_amd64 -pack ./agent.go ./cache.go ./reconcile.go ./state.go ./task.go ./unit_state.go
github.com/coreos/fleet/client
mkdir -p $WORK/github.com/coreos/fleet/client/_obj/
github.com/coreos/fleet/heart
mkdir -p $WORK/github.com/coreos/fleet/heart/_obj/
cd /builddir/build/BUILD/fleet-0.9.0/src/github.com/coreos/fleet/client
/usr/lib/golang/pkg/tool/linux_amd64/compile -o $WORK/github.com/coreos/fleet/client.a -trimpath $WORK -p github.com/coreos/fleet/client -complete -buildid 3d8e368fd3877bec8cbd96fee35e2bff933c6449 -D _/builddir/build/BUILD/fleet-0.9.0/src/github.com/coreos/fleet/client -I $WORK -I /builddir/build/BUILD/fleet-0.9.0/pkg/linux_amd64 -I /usr/share/gocode/pkg/linux_amd64 -pack ./api.go ./http.go ./registry.go
cd /builddir/build/BUILD/fleet-0.9.0/src/github.com/coreos/fleet/heart
/usr/lib/golang/pkg/tool/linux_amd64/compile -o $WORK/github.com/coreos/fleet/heart.a -trimpath $WORK -p github.com/coreos/fleet/heart -complete -buildid 77afa5db099acf3240be3c4e75e292a10b470d5d -D _/builddir/build/BUILD/fleet-0.9.0/src/github.com/coreos/fleet/heart -I $WORK -I /builddir/build/BUILD/fleet-0.9.0/pkg/linux_amd64 -pack ./heart.go ./monitor.go
github.com/coreos/fleet/api
mkdir -p $WORK/github.com/coreos/fleet/api/_obj/
cd /builddir/build/BUILD/fleet-0.9.0/src/github.com/coreos/fleet/api
/usr/lib/golang/pkg/tool/linux_amd64/compile -o $WORK/github.com/coreos/fleet/api.a -trimpath $WORK -p github.com/coreos/fleet/api -complete -buildid fcc2f11df477ede1a8c3b108261913e69c6404a0 -D _/builddir/build/BUILD/fleet-0.9.0/src/github.com/coreos/fleet/api -I $WORK -I /builddir/build/BUILD/fleet-0.9.0/pkg/linux_amd64 -pack ./discovery.go ./machines.go ./mux.go ./pagination.go ./path.go ./serialization.go ./server.go ./state.go ./units.go
github.com/coreos/fleet/engine
mkdir -p $WORK/github.com/coreos/fleet/engine/_obj/
cd /builddir/build/BUILD/fleet-0.9.0/src/github.com/coreos/fleet/engine
/usr/lib/golang/pkg/tool/linux_amd64/compile -o $WORK/github.com/coreos/fleet/engine.a -trimpath $WORK -p github.com/coreos/fleet/engine -complete -buildid ead9ae395fd9d1fee498e16f05e8810cb54d11d3 -D _/builddir/build/BUILD/fleet-0.9.0/src/github.com/coreos/fleet/engine -I $WORK -I /builddir/build/BUILD/fleet-0.9.0/pkg/linux_amd64 -pack ./engine.go ./reconciler.go ./scheduler.go ./state.go
.
.
.

Seems as "too new" golang-github-godbus-dbus to me.

Failed scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=12022723
Comment 1 Jan Kurik 2016-02-24 09:04:41 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Note You need to log in before you can comment on or make changes to this bug.